> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Report

This endpoint allows you to request the generation of specific report types. The response from this endpoint provides an object containing:

* The `status` of the report generation.
* A report `id`.

Use the report id to download the report using the [Download a Report](/reference/download-a-report) endpoint after it is generated.


## OpenAPI

````yaml openapi/reports/create-a-report.json POST /reports
openapi: 3.1.0
info:
  title: payouts
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /reports:
    post:
      summary: Create a Report
      operationId: create-a-report
      parameters:
        - name: X-Organization-Code
          in: header
          required: true
          schema:
            type: string
          description: Organization code associated to the request.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - start_date
                - end_date
              properties:
                type:
                  type: string
                  description: The type of the report to run (MAX 255; MIN 3).
                  enum:
                    - PAYOUTS
                    - PAYMENTS
                    - TRANSACTIONS
                    - SETTLEMENT_FEES
                    - RECONCILIATION_OVERVIEW
                    - COMMUNICATIONS
                user_code:
                  type: string
                  description: The user identifier to associate with the report request.
                start_date:
                  type: string
                  description: >-
                    Starting timestamp of data to be included in the report run
                    (MAX 24; MIN 24; [ISO
                    8601](https://en.wikipedia.org/wiki/ISO_8601)).
                  format: date-time
                end_date:
                  type: string
                  description: >-
                    Ending timestamp of data to be included in the report run
                    (MAX 24; MIN 24; [ISO
                    8601](https://en.wikipedia.org/wiki/ISO_8601)).
                  format: date-time
                merchant_reference_id:
                  type: string
                  description: >-
                    The unique identifier of the report at the merchant side
                    (MAX 255; MIN 3).
                account_id:
                  type: string
                  description: >-
                    Account identifier(s). Omit to include all accounts. For
                    multiple accounts, send a comma-separated list. <br>
                    Example: `19d28762-c714-4fb0-9ef6-4e1953ed33tf,
                    91d82267-c714-4fb0-9ef6-4e1953ed33tf`.
                acquirer:
                  type: string
                  description: >-
                    Filters the Settlements report by acquirer. Accepts a single
                    value (case-insensitive; conventionally uppercase). <br>
                    Example: `BAC_CREDOMATIC`
                payment_status:
                  type: string
                  description: >-
                    The status of the payment (MAX 255; MIN 3; [Payment
                    status](/reference/payment#payments-status)). Don't send
                    this parameter to request the creation of a report for all
                    payment status. Otherwise, indicate all the status you want
                    to include. <br> Example: `CREATED,READY_TO_PAY,DECLINED`
                payment_sub_status:
                  type: string
                  description: >-
                    The substatus of the payment (MAX 255; MIN 3; [Payment
                    substatus](/reference/payment#payments-status)). Don't send
                    this parameter to request the creation of a report for all
                    payment sub status. Otherwise, indicate all the sub status
                    you want to include. <br> Example:
                    `READY_TO_PAY,PENDING_FRAUD_REVIEW,EXPIRED`
                payment_method:
                  type: string
                  description: >-
                    The type of payment method selected by the customer (MAX
                    255; MIN 3; [Payment
                    methods](/reference/payment-type-list)). Don't send this
                    parameter to request the creation of a report for all
                    payment methods. Otherwise, indicate all the methods you
                    want to include. <br> Example: `ADDI,ACUOTAZ,PIX`
                currency:
                  type: string
                  description: >-
                    The currency used to make the payment (MAX 3; MIN 3; [ISO
                    4217](/reference/country-reference)). Don't send this
                    parameter to request the creation of a report for all
                    currencies. Otherwise, indicate all currencies you want to
                    include. <br> Example: `ARS,BRL,COP`
                country:
                  type: string
                  description: >-
                    The country where the transaction must be processed (MAX 2;
                    MIN 2; [ISO 3166-1](/reference/country-reference)). Don't
                    send this parameter to request the creation of a report for
                    all countries. Otherwise, indicate all countries you want to
                    include. <br> Example: `AR,BR,CO`
                transaction_type:
                  type: string
                  description: >-
                    The transaction type (MAX 255; MIN 3; [Transaction
                    types](/reference/transaction#types-of-transactions)). Don't
                    send this parameter to request the creation of a report for
                    all transaction types. Otherwise, indicate all transaction
                    types you want to include. <br> Example:
                    `PURCHASE,REFUND,VERIFY`
                transaction_status:
                  type: string
                  description: >-
                    The status of the transaction (MAX 255; MIN 3; [Transaction
                    status](/reference/payment#payments-status)). Don't send
                    this parameter to request the creation of a report for all
                    transaction status. Otherwise, indicate all transaction
                    status you want to include. <br> Example:
                    `SUCCEEDED,CREATED,EXPIRED`
                updated_at_start:
                  type: string
                  description: >-
                    Starting timestamp of data to be included in the report run
                    by updated date of operation (MAX 27; MIN 27; [ISO
                    8601](https://en.wikipedia.org/wiki/ISO_8601)).
                  format: date-time
                updated_at_end:
                  type: string
                  description: >-
                    Ending timestamp of data to be included in the report run by
                    updated date of operation (MAX 27; MIN 27; [ISO
                    8601](https://en.wikipedia.org/wiki/ISO_8601)).
                  format: date-time
                columns:
                  type: string
                  description: >-
                    Columns to include (only for Payment or Transaction
                    reports). See available fields in [Report
                    Fields](/reference/reports-fields). <br> Example:
                    `account_code,amount_value,card_category`
                metadata_fields:
                  type: string
                  description: >-
                    Columns to include (only if the merchant is exporting
                    metadata fields). This option is exclusive to Transaction
                    and Settlement reports.
            examples:
              Create a report:
                value:
                  type: PAYMENTS
                  start_date: '2023-07-28T21:09:03.327Z'
                  end_date: '2023-07-28T21:09:03.327Z'
                  merchant_reference_id: test_id
                  account_id: >-
                    19d28762-c714-4fb0-9ef6-4e1953ed33tf,
                    91d82267-c714-4fb0-9ef6-4e1953ed33tf
                  payment_status: CREATED,READY_TO_PAY,DECLINED
                  payment_sub_status: READY_TO_PAY,PENDING_FRAUD_REVIEW,EXPIRED
                  payment_method: ADDI,ACUOTAZ,PIX
                  currency: ARS,BRL,COP
                  country: AR,BR,CO
                  transaction_type: PURCHASE,REFUND,VERIFY
                  transaction_status: SUCCEEDED,CREATED,EXPIRED
                  updated_at_start: '2023-07-28T21:09:03.327Z'
                  updated_at_end: '2023-07-28T21:09:03.327Z'
                  columns: account_code,amount_value,card_category
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 6d905149-b388-4522-8c0a-759fed1f39da
                    type: PAYMENTS
                    start_date: 2023-07-01 00:00:00 +0000 UTC
                    end_date: 2023-07-12 00:00:00 +0000 UTC
                    merchant_reference_id: payments_1
                    created_at: 2023-07-12 20:10:30.311048496 +0000 UTC
                    updated_at: 2023-07-12 20:10:30.311048496 +0000 UTC
                    expires_at: ''
                    status: IN_PROCESS
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 6d905149-b388-4522-8c0a-759fed1f39da
                  type:
                    type: string
                    example: PAYMENTS
                  start_date:
                    type: string
                    example: 2023-07-01 00:00:00 +0000 UTC
                  end_date:
                    type: string
                    example: 2023-07-12 00:00:00 +0000 UTC
                  merchant_reference_id:
                    type: string
                    example: payments_1
                  created_at:
                    type: string
                    example: 2023-07-12 20:10:30.311048496 +0000 UTC
                  updated_at:
                    type: string
                    example: 2023-07-12 20:10:30.311048496 +0000 UTC
                  expires_at:
                    type: string
                    example: ''
                  status:
                    type: string
                    example: IN_PROCESS
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````